curl --request GET \
--url https://api.vori.com/v1/transactions \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.vori.com/v1/transactions"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.vori.com/v1/transactions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "<string>",
"cashback_amount": "199.99",
"completed_at": "2023-11-07T05:31:56Z",
"coupon_total": "199.99",
"discount_total": "199.99",
"employee_id": "<string>",
"gift_card_sales": [
{
"id": "<string>",
"amount": "199.99",
"gift_card_id": "<string>",
"gift_card_transaction_id": "<string>"
}
],
"gift_card_sales_total": "199.99",
"issued_coupons": [
{
"id": "<string>",
"coupon_code": "<string>",
"coupon_id": "<string>",
"ended_at": "2023-11-07T05:31:56Z",
"offer_benefit_value": "199.99",
"snap_incentive_program_id": "<string>",
"started_at": "2023-11-07T05:31:56Z"
}
],
"item_modifier_total": "199.99",
"lane_id": "<string>",
"line_items": [
{
"id": "<string>",
"coupon_total": "199.99",
"coupons": [
{
"id": "<string>",
"applied_amount": "199.99",
"coupon_code": "<string>",
"coupon_id": "<string>",
"offer_display_text": "<string>",
"offer_id": "<string>"
}
],
"department_id": "<string>",
"discount_total": "199.99",
"discounts": [
{
"id": "<string>",
"applied_amount": "199.99",
"discount_id": "<string>",
"discount_name": "<string>",
"discount_type": "<string>",
"discount_value": "199.99"
}
],
"ebt_tax_waived_total": "199.99",
"free_quantity": "199.99",
"item_modifier_total": "199.99",
"item_modifiers": [
{
"id": "<string>",
"amount": "199.99",
"item_modifier_id": "<string>",
"quantity": "199.99",
"tax_amount": "199.99",
"taxes": [
{
"id": "<string>",
"amount": "199.99",
"tax_rate": {
"id": "<string>",
"name": "<string>",
"value": "8.25"
}
}
]
}
],
"loyalty_rewards": [
{
"id": "<string>",
"applied_amount": "199.99",
"loyalty_reward_id": "<string>",
"loyalty_reward_name": "<string>",
"offer_id": "<string>",
"order_loyalty_reward_id": "<string>"
}
],
"loyalty_rewards_total": "199.99",
"product": {
"id": "<string>",
"barcode": "<string>",
"brand": "<string>",
"ebt_enabled": true,
"name": "<string>",
"sold_by_weight": true,
"unit_of_measure": "<string>",
"unit_of_measure_amount": "199.99",
"wic_enabled": true
},
"promo_savings": "199.99",
"promotions": [
{
"id": "<string>",
"amount": "199.99",
"display_text": "<string>",
"offer_id": "<string>",
"promotion_id": "<string>",
"savings": "199.99"
}
],
"quantity": "199.99",
"refunded_order_line_item_id": "<string>",
"retail_price": "199.99",
"retail_total": "199.99",
"subtotal": "199.99",
"tax_total": "199.99",
"taxable_amount": "199.99",
"taxes": [
{
"id": "<string>",
"amount": "199.99",
"tax_rate": {
"id": "<string>",
"name": "<string>",
"value": "8.25"
}
}
],
"total": "199.99",
"variable_weights": [
{
"id": "<string>",
"variable_weight": {
"id": "<string>",
"name": "<string>",
"value": "199.99"
}
}
],
"wic_adjusted_price": "199.99"
}
],
"loyalty_rewards_total": "199.99",
"payments": [
{
"id": "<string>",
"authorized_amount": "199.99",
"card_last4": "<string>",
"cash_received": "199.99",
"cashback_amount": "199.99",
"change_returned": "199.99",
"completed_at": "2023-11-07T05:31:56Z",
"entry_method": "<string>",
"payment_type": "<string>",
"requested_amount": "199.99",
"reversals": [
{
"id": "<string>",
"authorized_amount": "199.99",
"card_last4": "<string>",
"completed_at": "<string>",
"entry_method": "<string>",
"payment_type": "<string>",
"requested_amount": "199.99"
}
],
"terminal_was_online": true,
"till_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"tip_amount": "199.99"
}
],
"promo_savings": "199.99",
"promo_total": "199.99",
"refund_total": "199.99",
"refunds": [
{
"id": "<string>",
"completed_at": "2023-11-07T05:31:56Z",
"employee_id": "<string>",
"lane_id": "<string>",
"shopper_facing_id": "<string>",
"started_at": "2023-11-07T05:31:56Z",
"store_id": "<string>",
"subtotal": "199.99",
"tax_total": "199.99",
"total": "199.99"
}
],
"retail_total": "199.99",
"shopper_facing_id": "<string>",
"shopper_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"started_at": "2023-11-07T05:31:56Z",
"store_id": "<string>",
"subtotal": "199.99",
"tax_total": "199.99",
"taxable_amount": "199.99",
"tip_amount": "199.99",
"total": "199.99",
"total_collected": "199.99"
}
],
"has_more": true
}{
"error_code": "conflicting_list_parameters"
}{
"error_code": "insufficient_permissions",
"error_details": {}
}List transactions
Lists transactions across your stores, ordered by transaction ID. Filter by store and completion time to pull a window of sales, and page through the results with the cursor parameters.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
When the transaction was completed. UTC unless the value carries an offset.
When the transaction was completed. UTC unless the value carries an offset.
When the transaction was completed. UTC unless the value carries an offset.
When the transaction was completed. UTC unless the value carries an offset.
When the transaction was completed. UTC unless the value carries an offset.
The cashier who completed the transaction. Repeat to match any of up to 20 values.
Return records that precede the record with this ID, in list order.
The lane the transaction was completed on. Repeat to match any of up to 20 values.
Maximum number of records to return.
1 <= x <= 100The identified shopper, for transactions that had one. Accepts a TypeID or a UUID. Repeat to match any of up to 20 values.
Return records that follow the record with this ID, in list order.
Lifecycle status of the transaction. Repeat to match any of up to 20 values.
completed, expired, suspended, voided The store where the transaction was completed. Repeat to match any of up to 20 values.
Whether the transaction is a sale, a refund, or a void. Repeat to match any of up to 20 values.
refund, sale, void Was this page helpful?